This connector is optimized for AI agents. For the data replication connector, see Shopify .
This is the full reference documentation for the Shopify agent connector.
Supported entities and actions
The Shopify connector supports the following entities and actions.
Entity Actions Customers List , Get , Context Store Search Orders List , Get Products List , Get Product Variants List , Get , Context Store Search Product Images List , Get , Context Store Search Abandoned Checkouts List , Context Store Search Locations List , Get , Context Store Search Inventory Levels List , Context Store Search Inventory Items List , Get , Context Store Search Shop Get , Context Store Search Price Rules List , Get , Context Store Search Discount Codes List , Get , Context Store Search Custom Collections List , Get , Context Store Search Smart Collections List , Get , Context Store Search Collects List , Get , Context Store Search Draft Orders List , Get , Context Store Search Fulfillments List , Get , Context Store Search Order Refunds List , Get , Context Store Search Transactions List , Get Tender Transactions List , Context Store Search Countries List , Get , Context Store Search Metafield Shops List , Get , Context Store Search Metafield Customers List , Context Store Search Metafield Products List , Context Store Search Metafield Orders List , Context Store Search Metafield Draft Orders List , Context Store Search Metafield Locations List , Context Store Search Metafield Product Variants List , Context Store Search Metafield Smart Collections List , Context Store Search Metafield Product Images List , Context Store Search Customer Address List , Get Fulfillment Orders List , Get , Context Store Search
Customers
Customers List
Returns a list of customers from the store
Python SDK
await shopify . customers . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "customers", "action": "list" }'
Parameters
Parameter Name Type Required Description limitintegerNo Maximum number of results to return (max 250) since_idintegerNo Restrict results to after the specified ID created_at_minstringNo Show customers created after date (ISO 8601 format) created_at_maxstringNo Show customers created before date (ISO 8601 format) updated_at_minstringNo Show customers last updated after date (ISO 8601 format) updated_at_maxstringNo Show customers last updated before date (ISO 8601 format)
Response Schema Records Field Name Type Description idintegeremailstring | nullaccepts_marketingboolean | nullcreated_atstring | nullupdated_atstring | nullfirst_namestring | nulllast_namestring | nullorders_countinteger | nullstatestring | nulltotal_spentstring | nulllast_order_idinteger | nullnotestring | nullverified_emailboolean | nullmultipass_identifierstring | nulltax_exemptboolean | nulltagsstring | nulllast_order_namestring | nullcurrencystring | nullphonestring | nulladdressesarray | nulladdresses[].idintegeraddresses[].customer_idinteger | nulladdresses[].first_namestring | nulladdresses[].last_namestring | nulladdresses[].companystring | nulladdresses[].address1string | nulladdresses[].address2string | nulladdresses[].citystring | nulladdresses[].provincestring | nulladdresses[].countrystring | nulladdresses[].zipstring | nulladdresses[].phonestring | nulladdresses[].namestring | nulladdresses[].province_codestring | nulladdresses[].country_codestring | nulladdresses[].country_namestring | nulladdresses[].defaultboolean | nullaccepts_marketing_updated_atstring | nullmarketing_opt_in_levelstring | nulltax_exemptionsarray | nullemail_marketing_consentobject | anysms_marketing_consentobject | anyadmin_graphql_api_idstring | nulldefault_addressobject | any
Field Name Type Description next_page_urlstring
Customers Get
Retrieves a single customer by ID
Python SDK
await shopify . customers . get ( customer_id = 0 )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "customers", "action": "get", "params": { "customer_id": 0 } }'
Parameters
Parameter Name Type Required Description customer_idintegerYes The customer ID
Response Schema Records Field Name Type Description idintegeremailstring | nullaccepts_marketingboolean | nullcreated_atstring | nullupdated_atstring | nullfirst_namestring | nulllast_namestring | nullorders_countinteger | nullstatestring | nulltotal_spentstring | nulllast_order_idinteger | nullnotestring | nullverified_emailboolean | nullmultipass_identifierstring | nulltax_exemptboolean | nulltagsstring | nulllast_order_namestring | nullcurrencystring | nullphonestring | nulladdressesarray | nulladdresses[].idintegeraddresses[].customer_idinteger | nulladdresses[].first_namestring | nulladdresses[].last_namestring | nulladdresses[].companystring | nulladdresses[].address1string | nulladdresses[].address2string | nulladdresses[].citystring | nulladdresses[].provincestring | nulladdresses[].countrystring | nulladdresses[].zipstring | nulladdresses[].phonestring | nulladdresses[].namestring | nulladdresses[].province_codestring | nulladdresses[].country_codestring | nulladdresses[].country_namestring | nulladdresses[].defaultboolean | nullaccepts_marketing_updated_atstring | nullmarketing_opt_in_levelstring | nulltax_exemptionsarray | nullemail_marketing_consentobject | anysms_marketing_consentobject | anyadmin_graphql_api_idstring | nulldefault_addressobject | any
Customers Context Store Search
Search and filter customers records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await shopify . customers . context_store_search ( query = { "filter" : { "eq" : { "id" : 0 } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "customers", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": 0}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idintegerUnique identifier for the customer emailstringPrimary email address of the customer phonestringPrimary phone number of the customer first_namestringFirst name of the customer last_namestringLast name of the customer statestringAccount state (disabled, invited, enabled, declined) orders_countintegerNumber of orders placed by the customer total_spentstringTotal lifetime amount spent by the customer currencystringISO 4217 currency code for the customer's total spend created_atstringISO 8601 timestamp when the customer record was created updated_atstringISO 8601 timestamp when the customer record was last updated
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idintegerUnique identifier for the customer data[].emailstringPrimary email address of the customer data[].phonestringPrimary phone number of the customer data[].first_namestringFirst name of the customer data[].last_namestringLast name of the customer data[].statestringAccount state (disabled, invited, enabled, declined) data[].orders_countintegerNumber of orders placed by the customer data[].total_spentstringTotal lifetime amount spent by the customer data[].currencystringISO 4217 currency code for the customer's total spend data[].created_atstringISO 8601 timestamp when the customer record was created data[].updated_atstringISO 8601 timestamp when the customer record was last updated
Orders
Orders List
Returns a list of orders from the store
Python SDK
await shopify . orders . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "orders", "action": "list" }'
Parameters
Parameter Name Type Required Description limitintegerNo Maximum number of results to return (max 250) since_idintegerNo Restrict results to after the specified ID created_at_minstringNo Show orders created after date (ISO 8601 format) created_at_maxstringNo Show orders created before date (ISO 8601 format) updated_at_minstringNo Show orders last updated after date (ISO 8601 format) updated_at_maxstringNo Show orders last updated before date (ISO 8601 format) status"open" | "closed" | "cancelled" | "any"No Filter orders by status financial_status"authorized" | "pending" | "paid" | "partially_paid" | "refunded" | "voided" | "partially_refunded" | "any" | "unpaid"No Filter orders by financial status fulfillment_status"shipped" | "partial" | "unshipped" | "any" | "unfulfilled"No Filter orders by fulfillment status
Response Schema Records Field Name Type Description idintegeradmin_graphql_api_idstring | nullapp_idinteger | nullbrowser_ipstring | nullbuyer_accepts_marketingboolean | nullcancel_reasonstring | nullcancelled_atstring | nullcart_tokenstring | nullcheckout_idinteger | nullcheckout_tokenstring | nullclient_detailsobject | nullclosed_atstring | nullcompanyobject | nullconfirmation_numberstring | nullconfirmedboolean | nullcontact_emailstring | nullcreated_atstring | nullcurrencystring | nullcurrent_subtotal_pricestring | nullcurrent_subtotal_price_setobject | nullcurrent_total_additional_fees_setobject | nullcurrent_total_discountsstring | nullcurrent_total_discounts_setobject | nullcurrent_total_duties_setobject | nullcurrent_total_pricestring | nullcurrent_total_price_setobject | nullcurrent_total_taxstring | nullcurrent_total_tax_setobject | nullcustomerobject | anycustomer_localestring | nulldevice_idinteger | nulldiscount_applicationsarray | nulldiscount_codesarray | nullemailstring | nullestimated_taxesboolean | nullfinancial_statusstring | nullfulfillment_statusstring | nullfulfillmentsarray | nullfulfillments[].idintegerfulfillments[].order_idinteger | nullfulfillments[].statusstring | nullfulfillments[].created_atstring | nullfulfillments[].servicestring | nullfulfillments[].updated_atstring | nullfulfillments[].tracking_companystring | nullfulfillments[].shipment_statusstring | nullfulfillments[].location_idinteger | nullfulfillments[].origin_addressobject | nullfulfillments[].line_itemsarray | nullfulfillments[].line_items[].idintegerfulfillments[].line_items[].admin_graphql_api_idstring | nullfulfillments[].line_items[].attributed_staffsarray | nullfulfillments[].line_items[].current_quantityinteger | nullfulfillments[].line_items[].fulfillable_quantityinteger | nullfulfillments[].line_items[].fulfillment_servicestring | nullfulfillments[].line_items[].fulfillment_statusstring | nullfulfillments[].line_items[].gift_cardboolean | nullfulfillments[].line_items[].gramsinteger | nullfulfillments[].line_items[].namestring | nullfulfillments[].line_items[].pricestring | nullfulfillments[].line_items[].price_setobject | nullfulfillments[].line_items[].product_existsboolean | nullfulfillments[].line_items[].product_idinteger | nullfulfillments[].line_items[].propertiesarray | nullfulfillments[].line_items[].quantityinteger | nullfulfillments[].line_items[].requires_shippingboolean | nullfulfillments[].line_items[].skustring | nullfulfillments[].line_items[].taxableboolean | nullfulfillments[].line_items[].titlestring | nullfulfillments[].line_items[].total_discountstring | nullfulfillments[].line_items[].total_discount_setobject | nullfulfillments[].line_items[].variant_idinteger | nullfulfillments[].line_items[].variant_inventory_managementstring | nullfulfillments[].line_items[].variant_titlestring | nullfulfillments[].line_items[].vendorstring | nullfulfillments[].line_items[].tax_linesarray | nullfulfillments[].line_items[].dutiesarray | nullfulfillments[].line_items[].discount_allocationsarray | nullfulfillments[].tracking_numberstring | nullfulfillments[].tracking_numbersarray | nullfulfillments[].tracking_urlstring | nullfulfillments[].tracking_urlsarray | nullfulfillments[].receiptobject | nullfulfillments[].namestring | nullfulfillments[].admin_graphql_api_idstring | nullgatewaystring | nulllanding_sitestring | nulllanding_site_refstring | nullline_itemsarray | nullline_items[].idintegerline_items[].admin_graphql_api_idstring | nullline_items[].attributed_staffsarray | nullline_items[].current_quantityinteger | nullline_items[].fulfillable_quantityinteger | nullline_items[].fulfillment_servicestring | nullline_items[].fulfillment_statusstring | nullline_items[].gift_cardboolean | nullline_items[].gramsinteger | nullline_items[].namestring | nullline_items[].pricestring | nullline_items[].price_setobject | nullline_items[].product_existsboolean | nullline_items[].product_idinteger | nullline_items[].propertiesarray | nullline_items[].quantityinteger | nullline_items[].requires_shippingboolean | nullline_items[].skustring | nullline_items[].taxableboolean | nullline_items[].titlestring | nullline_items[].total_discountstring | nullline_items[].total_discount_setobject | nullline_items[].variant_idinteger | nullline_items[].variant_inventory_managementstring | nullline_items[].variant_titlestring | nullline_items[].vendorstring | nullline_items[].tax_linesarray | nullline_items[].dutiesarray | nullline_items[].discount_allocationsarray | nulllocation_idinteger | nullmerchant_of_record_app_idinteger | nullmerchant_business_entity_idstring | nullduties_includedboolean | nulltotal_cash_rounding_payment_adjustment_setobject | nulltotal_cash_rounding_refund_adjustment_setobject | nullpayment_termsobject | nullnamestring | nullnotestring | nullnote_attributesarray | nullnumberinteger | nullorder_numberinteger | nullorder_status_urlstring | nulloriginal_total_additional_fees_setobject | nulloriginal_total_duties_setobject | nullpayment_gateway_namesarray | nullphonestring | nullpo_numberstring | nullpresentment_currencystring | nullprocessed_atstring | nullreferencestring | nullreferring_sitestring | nullrefundsarray | nullrefunds[].idintegerrefunds[].order_idinteger | nullrefunds[].created_atstring | nullrefunds[].notestring | nullrefunds[].user_idinteger | nullrefunds[].processed_atstring | nullrefunds[].restockboolean | nullrefunds[].dutiesarray | nullrefunds[].total_duties_setobject | nullrefunds[].returnobject | nullrefunds[].refund_line_itemsarray | nullrefunds[].transactionsarray | nullrefunds[].transactions[].idintegerrefunds[].transactions[].order_idinteger | nullrefunds[].transactions[].kindstring | nullrefunds[].transactions[].gatewaystring | nullrefunds[].transactions[].statusstring | nullrefunds[].transactions[].messagestring | nullrefunds[].transactions[].created_atstring | nullrefunds[].transactions[].testboolean | nullrefunds[].transactions[].authorizationstring | nullrefunds[].transactions[].location_idinteger | nullrefunds[].transactions[].user_idinteger | nullrefunds[].transactions[].parent_idinteger | nullrefunds[].transactions[].processed_atstring | nullrefunds[].transactions[].device_idinteger | nullrefunds[].transactions[].error_codestring | nullrefunds[].transactions[].source_namestring | nullrefunds[].transactions[].receiptobject | nullrefunds[].transactions[].currency_exchange_adjustmentobject | nullrefunds[].transactions[].amountstring | nullrefunds[].transactions[].currencystring | nullrefunds[].transactions[].payment_idstring | nullrefunds[].transactions[].total_unsettled_setobject | nullrefunds[].transactions[].manual_payment_gatewayboolean | nullrefunds[].transactions[].admin_graphql_api_idstring | nullrefunds[].order_adjustmentsarray | nullrefunds[].admin_graphql_api_idstring | nullrefunds[].refund_shipping_linesarray | nullshipping_addressobject | anyshipping_linesarray | nullsource_identifierstring | nullsource_namestring | nullsource_urlstring | nullsubtotal_pricestring | nullsubtotal_price_setobject | nulltagsstring | nulltax_exemptboolean | nulltax_linesarray | nulltaxes_includedboolean | nulltestboolean | nulltokenstring | nulltotal_discountsstring | nulltotal_discounts_setobject | nulltotal_line_items_pricestring | nulltotal_line_items_price_setobject | nulltotal_outstandingstring | nulltotal_pricestring | nulltotal_price_setobject | nulltotal_shipping_price_setobject | nulltotal_taxstring | nulltotal_tax_setobject | nulltotal_tip_receivedstring | nulltotal_weightinteger | nullupdated_atstring | nulluser_idinteger | nullbilling_addressobject | any
Field Name Type Description next_page_urlstring
Orders Get
Retrieves a single order by ID
Python SDK
await shopify . orders . get ( order_id = 0 )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "orders", "action": "get", "params": { "order_id": 0 } }'
Parameters
Parameter Name Type Required Description order_idintegerYes The order ID
Response Schema Records Field Name Type Description idintegeradmin_graphql_api_idstring | nullapp_idinteger | nullbrowser_ipstring | nullbuyer_accepts_marketingboolean | nullcancel_reasonstring | nullcancelled_atstring | nullcart_tokenstring | nullcheckout_idinteger | nullcheckout_tokenstring | nullclient_detailsobject | nullclosed_atstring | nullcompanyobject | nullconfirmation_numberstring | nullconfirmedboolean | nullcontact_emailstring | nullcreated_atstring | nullcurrencystring | nullcurrent_subtotal_pricestring | nullcurrent_subtotal_price_setobject | nullcurrent_total_additional_fees_setobject | nullcurrent_total_discountsstring | nullcurrent_total_discounts_setobject | nullcurrent_total_duties_setobject | nullcurrent_total_pricestring | nullcurrent_total_price_setobject | nullcurrent_total_taxstring | nullcurrent_total_tax_setobject | nullcustomerobject | anycustomer_localestring | nulldevice_idinteger | nulldiscount_applicationsarray | nulldiscount_codesarray | nullemailstring | nullestimated_taxesboolean | nullfinancial_statusstring | nullfulfillment_statusstring | nullfulfillmentsarray | nullfulfillments[].idintegerfulfillments[].order_idinteger | nullfulfillments[].statusstring | nullfulfillments[].created_atstring | nullfulfillments[].servicestring | nullfulfillments[].updated_atstring | nullfulfillments[].tracking_companystring | nullfulfillments[].shipment_statusstring | nullfulfillments[].location_idinteger | nullfulfillments[].origin_addressobject | nullfulfillments[].line_itemsarray | nullfulfillments[].line_items[].idintegerfulfillments[].line_items[].admin_graphql_api_idstring | nullfulfillments[].line_items[].attributed_staffsarray | nullfulfillments[].line_items[].current_quantityinteger | nullfulfillments[].line_items[].fulfillable_quantityinteger | nullfulfillments[].line_items[].fulfillment_servicestring | nullfulfillments[].line_items[].fulfillment_statusstring | nullfulfillments[].line_items[].gift_cardboolean | nullfulfillments[].line_items[].gramsinteger | nullfulfillments[].line_items[].namestring | nullfulfillments[].line_items[].pricestring | nullfulfillments[].line_items[].price_setobject | nullfulfillments[].line_items[].product_existsboolean | nullfulfillments[].line_items[].product_idinteger | nullfulfillments[].line_items[].propertiesarray | nullfulfillments[].line_items[].quantityinteger | nullfulfillments[].line_items[].requires_shippingboolean | nullfulfillments[].line_items[].skustring | nullfulfillments[].line_items[].taxableboolean | nullfulfillments[].line_items[].titlestring | nullfulfillments[].line_items[].total_discountstring | nullfulfillments[].line_items[].total_discount_setobject | nullfulfillments[].line_items[].variant_idinteger | nullfulfillments[].line_items[].variant_inventory_managementstring | nullfulfillments[].line_items[].variant_titlestring | nullfulfillments[].line_items[].vendorstring | nullfulfillments[].line_items[].tax_linesarray | nullfulfillments[].line_items[].dutiesarray | nullfulfillments[].line_items[].discount_allocationsarray | nullfulfillments[].tracking_numberstring | nullfulfillments[].tracking_numbersarray | nullfulfillments[].tracking_urlstring | nullfulfillments[].tracking_urlsarray | nullfulfillments[].receiptobject | nullfulfillments[].namestring | nullfulfillments[].admin_graphql_api_idstring | nullgatewaystring | nulllanding_sitestring | nulllanding_site_refstring | nullline_itemsarray | nullline_items[].idintegerline_items[].admin_graphql_api_idstring | nullline_items[].attributed_staffsarray | nullline_items[].current_quantityinteger | nullline_items[].fulfillable_quantityinteger | nullline_items[].fulfillment_servicestring | nullline_items[].fulfillment_statusstring | nullline_items[].gift_cardboolean | nullline_items[].gramsinteger | nullline_items[].namestring | nullline_items[].pricestring | nullline_items[].price_setobject | nullline_items[].product_existsboolean | nullline_items[].product_idinteger | nullline_items[].propertiesarray | nullline_items[].quantityinteger | nullline_items[].requires_shippingboolean | nullline_items[].skustring | nullline_items[].taxableboolean | nullline_items[].titlestring | nullline_items[].total_discountstring | nullline_items[].total_discount_setobject | nullline_items[].variant_idinteger | nullline_items[].variant_inventory_managementstring | nullline_items[].variant_titlestring | nullline_items[].vendorstring | nullline_items[].tax_linesarray | nullline_items[].dutiesarray | nullline_items[].discount_allocationsarray | nulllocation_idinteger | nullmerchant_of_record_app_idinteger | nullmerchant_business_entity_idstring | nullduties_includedboolean | nulltotal_cash_rounding_payment_adjustment_setobject | nulltotal_cash_rounding_refund_adjustment_setobject | nullpayment_termsobject | nullnamestring | nullnotestring | nullnote_attributesarray | nullnumberinteger | nullorder_numberinteger | nullorder_status_urlstring | nulloriginal_total_additional_fees_setobject | nulloriginal_total_duties_setobject | nullpayment_gateway_namesarray | nullphonestring | nullpo_numberstring | nullpresentment_currencystring | nullprocessed_atstring | nullreferencestring | nullreferring_sitestring | nullrefundsarray | nullrefunds[].idintegerrefunds[].order_idinteger | nullrefunds[].created_atstring | nullrefunds[].notestring | nullrefunds[].user_idinteger | nullrefunds[].processed_atstring | nullrefunds[].restockboolean | nullrefunds[].dutiesarray | nullrefunds[].total_duties_setobject | nullrefunds[].returnobject | nullrefunds[].refund_line_itemsarray | nullrefunds[].transactionsarray | nullrefunds[].transactions[].idintegerrefunds[].transactions[].order_idinteger | nullrefunds[].transactions[].kindstring | nullrefunds[].transactions[].gatewaystring | nullrefunds[].transactions[].statusstring | nullrefunds[].transactions[].messagestring | nullrefunds[].transactions[].created_atstring | nullrefunds[].transactions[].testboolean | nullrefunds[].transactions[].authorizationstring | nullrefunds[].transactions[].location_idinteger | nullrefunds[].transactions[].user_idinteger | nullrefunds[].transactions[].parent_idinteger | nullrefunds[].transactions[].processed_atstring | nullrefunds[].transactions[].device_idinteger | nullrefunds[].transactions[].error_codestring | nullrefunds[].transactions[].source_namestring | nullrefunds[].transactions[].receiptobject | nullrefunds[].transactions[].currency_exchange_adjustmentobject | nullrefunds[].transactions[].amountstring | nullrefunds[].transactions[].currencystring | nullrefunds[].transactions[].payment_idstring | nullrefunds[].transactions[].total_unsettled_setobject | nullrefunds[].transactions[].manual_payment_gatewayboolean | nullrefunds[].transactions[].admin_graphql_api_idstring | nullrefunds[].order_adjustmentsarray | nullrefunds[].admin_graphql_api_idstring | nullrefunds[].refund_shipping_linesarray | nullshipping_addressobject | anyshipping_linesarray | nullsource_identifierstring | nullsource_namestring | nullsource_urlstring | nullsubtotal_pricestring | nullsubtotal_price_setobject | nulltagsstring | nulltax_exemptboolean | nulltax_linesarray | nulltaxes_includedboolean | nulltestboolean | nulltokenstring | nulltotal_discountsstring | nulltotal_discounts_setobject | nulltotal_line_items_pricestring | nulltotal_line_items_price_setobject | nulltotal_outstandingstring | nulltotal_pricestring | nulltotal_price_setobject | nulltotal_shipping_price_setobject | nulltotal_taxstring | nulltotal_tax_setobject | nulltotal_tip_receivedstring | nulltotal_weightinteger | nullupdated_atstring | nulluser_idinteger | nullbilling_addressobject | any
Products
Products List
Returns a list of products from the store
Python SDK
await shopify . products . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "products", "action": "list" }'
Parameters
Parameter Name Type Required Description limitintegerNo Maximum number of results to return (max 250) since_idintegerNo Restrict results to after the specified ID created_at_minstringNo Show products created after date (ISO 8601 format) created_at_maxstringNo Show products created before date (ISO 8601 format) updated_at_minstringNo Show products last updated after date (ISO 8601 format) updated_at_maxstringNo Show products last updated before date (ISO 8601 format) status"active" | "archived" | "draft"No Filter products by status product_typestringNo Filter by product type vendorstringNo Filter by vendor collection_idintegerNo Filter by collection ID
Response Schema Records Field Name Type Description idintegertitlestring | nullbody_htmlstring | nullvendorstring | nullproduct_typestring | nullcreated_atstring | nullhandlestring | nullupdated_atstring | nullpublished_atstring | nulltemplate_suffixstring | nullpublished_scopestring | nulltagsstring | nullstatusstring | nulladmin_graphql_api_idstring | nullvariantsarray | nullvariants[].idintegervariants[].product_idinteger | nullvariants[].titlestring | nullvariants[].pricestring | nullvariants[].skustring | nullvariants[].positioninteger | nullvariants[].inventory_policystring | nullvariants[].compare_at_pricestring | nullvariants[].fulfillment_servicestring | nullvariants[].inventory_managementstring | nullvariants[].option1string | nullvariants[].option2string | nullvariants[].option3string | nullvariants[].created_atstring | nullvariants[].updated_atstring | nullvariants[].taxableboolean | nullvariants[].barcodestring | nullvariants[].gramsinteger | nullvariants[].image_idinteger | nullvariants[].weightnumber | nullvariants[].weight_unitstring | nullvariants[].inventory_item_idinteger | nullvariants[].inventory_quantityinteger | nullvariants[].old_inventory_quantityinteger | nullvariants[].requires_shippingboolean | nullvariants[].admin_graphql_api_idstring | nulloptionsarray | nullimagesarray | nullimages[].idintegerimages[].product_idinteger | nullimages[].positioninteger | nullimages[].created_atstring | nullimages[].updated_atstring | nullimages[].altstring | nullimages[].widthinteger | nullimages[].heightinteger | nullimages[].srcstring | nullimages[].variant_idsarray | nullimages[].admin_graphql_api_idstring | nullimageobject | any
Field Name Type Description next_page_urlstring
Products Get
Retrieves a single product by ID
Python SDK
await shopify . products . get ( product_id = 0 )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "products", "action": "get", "params": { "product_id": 0 } }'
Parameters
Parameter Name Type Required Description product_idintegerYes The product ID
Response Schema Records Field Name Type Description idintegertitlestring | nullbody_htmlstring | nullvendorstring | nullproduct_typestring | nullcreated_atstring | nullhandlestring | nullupdated_atstring | nullpublished_atstring | nulltemplate_suffixstring | nullpublished_scopestring | nulltagsstring | nullstatusstring | nulladmin_graphql_api_idstring | nullvariantsarray | nullvariants[].idintegervariants[].product_idinteger | nullvariants[].titlestring | nullvariants[].pricestring | nullvariants[].skustring | nullvariants[].positioninteger | nullvariants[].inventory_policystring | nullvariants[].compare_at_pricestring | nullvariants[].fulfillment_servicestring | nullvariants[].inventory_managementstring | nullvariants[].option1string | nullvariants[].option2string | nullvariants[].option3string | nullvariants[].created_atstring | nullvariants[].updated_atstring | nullvariants[].taxableboolean | nullvariants[].barcodestring | nullvariants[].gramsinteger | nullvariants[].image_idinteger | nullvariants[].weightnumber | nullvariants[].weight_unitstring | nullvariants[].inventory_item_idinteger | nullvariants[].inventory_quantityinteger | nullvariants[].old_inventory_quantityinteger | nullvariants[].requires_shippingboolean | nullvariants[].admin_graphql_api_idstring | nulloptionsarray | nullimagesarray | nullimages[].idintegerimages[].product_idinteger | nullimages[].positioninteger | nullimages[].created_atstring | nullimages[].updated_atstring | nullimages[].altstring | nullimages[].widthinteger | nullimages[].heightinteger | nullimages[].srcstring | nullimages[].variant_idsarray | nullimages[].admin_graphql_api_idstring | nullimageobject | any
Product Variants
Product Variants List
Returns a list of variants for a product
Python SDK
await shopify . product_variants . list ( product_id = 0 )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "product_variants", "action": "list", "params": { "product_id": 0 } }'
Parameters
Parameter Name Type Required Description product_idintegerYes The product ID limitintegerNo Maximum number of results to return (max 250) since_idintegerNo Restrict results to after the specified ID
Response Schema Records Field Name Type Description idintegerproduct_idinteger | nulltitlestring | nullpricestring | nullskustring | nullpositioninteger | nullinventory_policystring | nullcompare_at_pricestring | nullfulfillment_servicestring | nullinventory_managementstring | nulloption1string | nulloption2string | nulloption3string | nullcreated_atstring | nullupdated_atstring | nulltaxableboolean | nullbarcodestring | nullgramsinteger | nullimage_idinteger | nullweightnumber | nullweight_unitstring | nullinventory_item_idinteger | nullinventory_quantityinteger | nullold_inventory_quantityinteger | nullrequires_shippingboolean | nulladmin_graphql_api_idstring | null
Field Name Type Description next_page_urlstring
Product Variants Get
Retrieves a single product variant by ID
Python SDK
await shopify . product_variants . get ( variant_id = 0 )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "product_variants", "action": "get", "params": { "variant_id": 0 } }'
Parameters
Parameter Name Type Required Description variant_idintegerYes The variant ID
Response Schema Records Field Name Type Description idintegerproduct_idinteger | nulltitlestring | nullpricestring | nullskustring | nullpositioninteger | nullinventory_policystring | nullcompare_at_pricestring | nullfulfillment_servicestring | nullinventory_managementstring | nulloption1string | nulloption2string | nulloption3string | nullcreated_atstring | nullupdated_atstring | nulltaxableboolean | nullbarcodestring | nullgramsinteger | nullimage_idinteger | nullweightnumber | nullweight_unitstring | nullinventory_item_idinteger | nullinventory_quantityinteger | nullold_inventory_quantityinteger | nullrequires_shippingboolean | nulladmin_graphql_api_idstring | null
Product Variants Context Store Search
Search and filter product variants records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await shopify . product_variants . context_store_search ( query = { "filter" : { "eq" : { "id" : 0 } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "product_variants", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": 0}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idintegerUnique identifier for the product variant product_idintegerIdentifier of the parent product titlestringDisplay title of the variant skustringStock keeping unit for the variant pricestringPrice of the variant in the shop's currency compare_at_pricestringOriginal (compare-at) price of the variant, if set positionintegerDisplay position of the variant within the product inventory_policystringBehaviour when out of stock (deny or continue) created_atstringISO 8601 timestamp when the variant was created updated_atstringISO 8601 timestamp when the variant was last updated
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idintegerUnique identifier for the product variant data[].product_idintegerIdentifier of the parent product data[].titlestringDisplay title of the variant data[].skustringStock keeping unit for the variant data[].pricestringPrice of the variant in the shop's currency data[].compare_at_pricestringOriginal (compare-at) price of the variant, if set data[].positionintegerDisplay position of the variant within the product data[].inventory_policystringBehaviour when out of stock (deny or continue) data[].created_atstringISO 8601 timestamp when the variant was created data[].updated_atstringISO 8601 timestamp when the variant was last updated
Product Images
Product Images List
Returns a list of images for a product
Python SDK
await shopify . product_images . list ( product_id = 0 )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "product_images", "action": "list", "params": { "product_id": 0 } }'
Parameters
Parameter Name Type Required Description product_idintegerYes The product ID since_idintegerNo Restrict results to after the specified ID
Response Schema Records Field Name Type Description idintegerproduct_idinteger | nullpositioninteger | nullcreated_atstring | nullupdated_atstring | nullaltstring | nullwidthinteger | nullheightinteger | nullsrcstring | nullvariant_idsarray | nulladmin_graphql_api_idstring | null
Field Name Type Description next_page_urlstring
Product Images Get
Retrieves a single product image by ID
Python SDK
await shopify . product_images . get ( product_id = 0 , image_id = 0 )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "product_images", "action": "get", "params": { "product_id": 0, "image_id": 0 } }'
Parameters
Parameter Name Type Required Description product_idintegerYes The product ID image_idintegerYes The image ID
Response Schema Records Field Name Type Description idintegerproduct_idinteger | nullpositioninteger | nullcreated_atstring | nullupdated_atstring | nullaltstring | nullwidthinteger | nullheightinteger | nullsrcstring | nullvariant_idsarray | nulladmin_graphql_api_idstring | null
Product Images Context Store Search
Search and filter product images records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await shopify . product_images . context_store_search ( query = { "filter" : { "eq" : { "id" : 0 } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "product_images", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": 0}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idintegerUnique identifier for the product image product_idintegerIdentifier of the product the image belongs to positionintegerDisplay position of the image within the product altstringAlt text for the image widthintegerImage width in pixels heightintegerImage height in pixels srcstringPublic URL of the image created_atstringISO 8601 timestamp when the image was created updated_atstringISO 8601 timestamp when the image was last updated
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idintegerUnique identifier for the product image data[].product_idintegerIdentifier of the product the image belongs to data[].positionintegerDisplay position of the image within the product data[].altstringAlt text for the image data[].widthintegerImage width in pixels data[].heightintegerImage height in pixels data[].srcstringPublic URL of the image data[].created_atstringISO 8601 timestamp when the image was created data[].updated_atstringISO 8601 timestamp when the image was last updated
Abandoned Checkouts
Abandoned Checkouts List
Returns a list of abandoned checkouts
Python SDK
await shopify . abandoned_checkouts . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "abandoned_checkouts", "action": "list" }'
Parameters
Parameter Name Type Required Description limitintegerNo Maximum number of results to return (max 250) since_idintegerNo Restrict results to after the specified ID created_at_minstringNo Show checkouts created after date (ISO 8601 format) created_at_maxstringNo Show checkouts created before date (ISO 8601 format) updated_at_minstringNo Show checkouts last updated after date (ISO 8601 format) updated_at_maxstringNo Show checkouts last updated before date (ISO 8601 format) status"open" | "closed" | "any"No Filter checkouts by status
Response Schema Records Field Name Type Description idintegertokenstring | nullcart_tokenstring | nullemailstring | nullgatewaystring | nullbuyer_accepts_marketingboolean | nullcreated_atstring | nullupdated_atstring | nulllanding_sitestring | nullnotestring | nullnote_attributesarray | nullreferring_sitestring | nullshipping_linesarray | nulltaxes_includedboolean | nulltotal_weightinteger | nullcurrencystring | nullcompleted_atstring | nullclosed_atstring | nulluser_idinteger | nulllocation_idinteger | nullsource_identifierstring | nullsource_urlstring | nulldevice_idinteger | nullphonestring | nullcustomer_localestring | nullline_itemsarray | nullline_items[].idintegerline_items[].admin_graphql_api_idstring | nullline_items[].attributed_staffsarray | nullline_items[].current_quantityinteger | nullline_items[].fulfillable_quantityinteger | nullline_items[].fulfillment_servicestring | nullline_items[].fulfillment_statusstring | nullline_items[].gift_cardboolean | nullline_items[].gramsinteger | nullline_items[].namestring | nullline_items[].pricestring | nullline_items[].price_setobject | nullline_items[].product_existsboolean | nullline_items[].product_idinteger | nullline_items[].propertiesarray | nullline_items[].quantityinteger | nullline_items[].requires_shippingboolean | nullline_items[].skustring | nullline_items[].taxableboolean | nullline_items[].titlestring | nullline_items[].total_discountstring | nullline_items[].total_discount_setobject | nullline_items[].variant_idinteger | nullline_items[].variant_inventory_managementstring | nullline_items[].variant_titlestring | nullline_items[].vendorstring | nullline_items[].tax_linesarray | nullline_items[].dutiesarray | nullline_items[].discount_allocationsarray | nullnamestring | nullsourcestring | nullabandoned_checkout_urlstring | nulldiscount_codesarray | nulltax_linesarray | nullsource_namestring | nullpresentment_currencystring | nullbuyer_accepts_sms_marketingboolean | nullsms_marketing_phonestring | nulltotal_discountsstring | nulltotal_line_items_pricestring | nulltotal_pricestring | nulltotal_taxstring | nullsubtotal_pricestring | nulltotal_dutiesstring | nullbilling_addressobject | anyshipping_addressobject | anycustomerobject | anyadmin_graphql_api_idstring | null
Field Name Type Description next_page_urlstring
Abandoned Checkouts Context Store Search
Search and filter abandoned checkouts records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await shopify . abandoned_checkouts . context_store_search ( query = { "filter" : { "eq" : { "id" : 0 } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "abandoned_checkouts", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": 0}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idintegerUnique identifier for the abandoned checkout tokenstringUnique token identifying the checkout emailstringEmail address provided for the checkout phonestringPhone number provided for the checkout namestringShopify-assigned display name for the checkout (e.g. #C12345) currencystringISO 4217 currency code for the checkout totals total_pricestringTotal price of the checkout in the shop's currency created_atstringISO 8601 timestamp when the checkout was created updated_atstringISO 8601 timestamp when the checkout was last updated completed_atstringISO 8601 timestamp when the checkout was completed, if applicable
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idintegerUnique identifier for the abandoned checkout data[].tokenstringUnique token identifying the checkout data[].emailstringEmail address provided for the checkout data[].phonestringPhone number provided for the checkout data[].namestringShopify-assigned display name for the checkout (e.g. #C12345) data[].currencystringISO 4217 currency code for the checkout totals data[].total_pricestringTotal price of the checkout in the shop's currency data[].created_atstringISO 8601 timestamp when the checkout was created data[].updated_atstringISO 8601 timestamp when the checkout was last updated data[].completed_atstringISO 8601 timestamp when the checkout was completed, if applicable
Locations
Locations List
Returns a list of locations for the store
Python SDK
await shopify . locations . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "locations", "action": "list" }'
Response Schema Records Field Name Type Description idintegernamestring | nulladdress1string | nulladdress2string | nullcitystring | nullzipstring | nullprovincestring | nullcountrystring | nullphonestring | nullcreated_atstring | nullupdated_atstring | nullcountry_codestring | nullcountry_namestring | nullprovince_codestring | nulllegacyboolean | nullactiveboolean | nulladmin_graphql_api_idstring | nulllocalized_country_namestring | nulllocalized_province_namestring | null
Field Name Type Description next_page_urlstring
Locations Get
Retrieves a single location by ID
Python SDK
await shopify . locations . get ( location_id = 0 )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "locations", "action": "get", "params": { "location_id": 0 } }'
Parameters
Parameter Name Type Required Description location_idintegerYes The location ID
Response Schema Records Field Name Type Description idintegernamestring | nulladdress1string | nulladdress2string | nullcitystring | nullzipstring | nullprovincestring | nullcountrystring | nullphonestring | nullcreated_atstring | nullupdated_atstring | nullcountry_codestring | nullcountry_namestring | nullprovince_codestring | nulllegacyboolean | nullactiveboolean | nulladmin_graphql_api_idstring | nulllocalized_country_namestring | nulllocalized_province_namestring | null
Locations Context Store Search
Search and filter locations records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await shopify . locations . context_store_search ( query = { "filter" : { "eq" : { "id" : 0 } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "locations", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": 0}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idintegerUnique identifier for the location namestringDisplay name of the location address1stringPrimary street address of the location citystringCity of the location provincestringProvince, state, or region of the location countrystringCountry name of the location country_codestringISO 3166-1 alpha-2 country code of the location phonestringPhone number for the location activebooleanWhether the location is currently active created_atstringISO 8601 timestamp when the location was created updated_atstringISO 8601 timestamp when the location was last updated
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idintegerUnique identifier for the location data[].namestringDisplay name of the location data[].address1stringPrimary street address of the location data[].citystringCity of the location data[].provincestringProvince, state, or region of the location data[].countrystringCountry name of the location data[].country_codestringISO 3166-1 alpha-2 country code of the location data[].phonestringPhone number for the location data[].activebooleanWhether the location is currently active data[].created_atstringISO 8601 timestamp when the location was created data[].updated_atstringISO 8601 timestamp when the location was last updated
Inventory Levels
Inventory Levels List
Returns a list of inventory levels for a specific location
Python SDK
await shopify . inventory_levels . list ( location_id = 0 )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "inventory_levels", "action": "list", "params": { "location_id": 0 } }'
Parameters
Parameter Name Type Required Description location_idintegerYes The location ID limitintegerNo Maximum number of results to return (max 250)
Response Schema Records Field Name Type Description inventory_item_idintegerlocation_idinteger | nullavailableinteger | nullupdated_atstring | nulladmin_graphql_api_idstring | null
Field Name Type Description next_page_urlstring
Inventory Levels Context Store Search
Search and filter inventory levels records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await shopify . inventory_levels . context_store_search ( query = { "filter" : { "eq" : { "inventory_item_id" : 0 } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "inventory_levels", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"inventory_item_id": 0}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description inventory_item_idintegerIdentifier of the inventory item location_idintegerIdentifier of the location holding the inventory availableintegerNumber of units available at the location updated_atstringISO 8601 timestamp when the inventory level was last updated
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].inventory_item_idintegerIdentifier of the inventory item data[].location_idintegerIdentifier of the location holding the inventory data[].availableintegerNumber of units available at the location data[].updated_atstringISO 8601 timestamp when the inventory level was last updated
Inventory Items
Inventory Items List
Returns a list of inventory items
Python SDK
await shopify . inventory_items . list ( ids = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "inventory_items", "action": "list", "params": { "ids": "<str>" } }'
Parameters
Parameter Name Type Required Description idsstringYes Comma-separated list of inventory item IDs limitintegerNo Maximum number of results to return (max 250)
Response Schema Records Field Name Type Description idintegerskustring | nullcreated_atstring | nullupdated_atstring | nullrequires_shippingboolean | nullcoststring | nullcountry_code_of_originstring | nullprovince_code_of_originstring | nullharmonized_system_codestring | nulltrackedboolean | nullcountry_harmonized_system_codesarray | nulladmin_graphql_api_idstring | null
Field Name Type Description next_page_urlstring
Inventory Items Get
Retrieves a single inventory item by ID
Python SDK
await shopify . inventory_items . get ( inventory_item_id = 0 )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "inventory_items", "action": "get", "params": { "inventory_item_id": 0 } }'
Parameters
Parameter Name Type Required Description inventory_item_idintegerYes The inventory item ID
Response Schema Records Field Name Type Description idintegerskustring | nullcreated_atstring | nullupdated_atstring | nullrequires_shippingboolean | nullcoststring | nullcountry_code_of_originstring | nullprovince_code_of_originstring | nullharmonized_system_codestring | nulltrackedboolean | nullcountry_harmonized_system_codesarray | nulladmin_graphql_api_idstring | null
Inventory Items Context Store Search
Search and filter inventory items records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await shopify . inventory_items . context_store_search ( query = { "filter" : { "eq" : { "id" : 0 } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "inventory_items", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": 0}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idintegerUnique identifier for the inventory item skustringStock keeping unit associated with the inventory item trackedbooleanWhether Shopify is tracking inventory for this item requires_shippingbooleanWhether the item requires shipping country_code_of_originstringISO country code of the item's country of origin created_atstringISO 8601 timestamp when the inventory item was created updated_atstringISO 8601 timestamp when the inventory item was last updated
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idintegerUnique identifier for the inventory item data[].skustringStock keeping unit associated with the inventory item data[].trackedbooleanWhether Shopify is tracking inventory for this item data[].requires_shippingbooleanWhether the item requires shipping data[].country_code_of_originstringISO country code of the item's country of origin data[].created_atstringISO 8601 timestamp when the inventory item was created data[].updated_atstringISO 8601 timestamp when the inventory item was last updated
Shop
Shop Get
Retrieves the shop's configuration
Python SDK
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "shop", "action": "get" }'
Response Schema Records Field Name Type Description idintegernamestring | nullemailstring | nulldomainstring | nullprovincestring | nullcountrystring | nulladdress1string | nullzipstring | nullcitystring | nullsourcestring | nullphonestring | nulllatitudenumber | nulllongitudenumber | nullprimary_localestring | nulladdress2string | nullcreated_atstring | nullupdated_atstring | nullcountry_codestring | nullcountry_namestring | nullcurrencystring | nullcustomer_emailstring | nulltimezonestring | nulliana_timezonestring | nullshop_ownerstring | nullmoney_formatstring | nullmoney_with_currency_formatstring | nullweight_unitstring | nullprovince_codestring | nulltaxes_includedboolean | nullauto_configure_tax_inclusivityboolean | nulltax_shippingboolean | nullcounty_taxesboolean | nullplan_display_namestring | nullplan_namestring | nullhas_discountsboolean | nullhas_gift_cardsboolean | nullmyshopify_domainstring | nullgoogle_apps_domainstring | nullgoogle_apps_login_enabledboolean | nullmoney_in_emails_formatstring | nullmoney_with_currency_in_emails_formatstring | nulleligible_for_paymentsboolean | nullrequires_extra_payments_agreementboolean | nullpassword_enabledboolean | nullhas_storefrontboolean | nullfinancesboolean | nullprimary_location_idinteger | nullcheckout_api_supportedboolean | nullmulti_location_enabledboolean | nullsetup_requiredboolean | nullpre_launch_enabledboolean | nullenabled_presentment_currenciesarray | nulltransactional_sms_disabledboolean | nullmarketing_sms_consent_enabled_at_checkoutboolean | null
Shop Context Store Search
Search and filter shop records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await shopify . shop . context_store_search ( query = { "filter" : { "eq" : { "id" : 0 } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "shop", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": 0}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idintegerUnique identifier for the shop namestringDisplay name of the shop emailstringPrimary contact email for the shop domainstringCustom domain configured for the shop, if any myshopify_domainstringCanonical *.myshopify.com domain for the shop country_codestringISO 3166-1 alpha-2 country code of the shop currencystringISO 4217 currency code used by the shop timezonestringTimezone configured for the shop (e.g. (GMT-05:00) Eastern Time) plan_namestringShopify plan identifier (e.g. shopify_plus, basic) created_atstringISO 8601 timestamp when the shop was created updated_atstringISO 8601 timestamp when the shop was last updated
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idintegerUnique identifier for the shop data[].namestringDisplay name of the shop data[].emailstringPrimary contact email for the shop data[].domainstringCustom domain configured for the shop, if any data[].myshopify_domainstringCanonical *.myshopify.com domain for the shop data[].country_codestringISO 3166-1 alpha-2 country code of the shop data[].currencystringISO 4217 currency code used by the shop data[].timezonestringTimezone configured for the shop (e.g. (GMT-05:00) Eastern Time) data[].plan_namestringShopify plan identifier (e.g. shopify_plus, basic) data[].created_atstringISO 8601 timestamp when the shop was created data[].updated_atstringISO 8601 timestamp when the shop was last updated
Price Rules
Price Rules List
Returns a list of price rules
Python SDK
await shopify . price_rules . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "price_rules", "action": "list" }'
Parameters
Parameter Name Type Required Description limitintegerNo Maximum number of results to return (max 250) since_idintegerNo Restrict results to after the specified ID created_at_minstringNo Show price rules created after date (ISO 8601 format) created_at_maxstringNo Show price rules created before date (ISO 8601 format) updated_at_minstringNo Show price rules last updated after date (ISO 8601 format) updated_at_maxstringNo Show price rules last updated before date (ISO 8601 format)
Response Schema Records Field Name Type Description idintegervalue_typestring | nullvaluestring | nullcustomer_selectionstring | nulltarget_typestring | nulltarget_selectionstring | nullallocation_methodstring | nullallocation_limitinteger | nullonce_per_customerboolean | nullusage_limitinteger | nullstarts_atstring | nullends_atstring | nullcreated_atstring | nullupdated_atstring | nullentitled_product_idsarray | nullentitled_variant_idsarray | nullentitled_collection_idsarray | nullentitled_country_idsarray | nullprerequisite_product_idsarray | nullprerequisite_variant_idsarray | nullprerequisite_collection_idsarray | nullcustomer_segment_prerequisite_idsarray | nullprerequisite_customer_idsarray | nullprerequisite_subtotal_rangeobject | nullprerequisite_quantity_rangeobject | nullprerequisite_shipping_price_rangeobject | nullprerequisite_to_entitlement_quantity_ratioobject | nullprerequisite_to_entitlement_purchaseobject | nulltitlestring | nulladmin_graphql_api_idstring | null
Field Name Type Description next_page_urlstring
Price Rules Get
Retrieves a single price rule by ID
Python SDK
await shopify . price_rules . get ( price_rule_id = 0 )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "price_rules", "action": "get", "params": { "price_rule_id": 0 } }'
Parameters
Parameter Name Type Required Description price_rule_idintegerYes The price rule ID
Response Schema Records Field Name Type Description idintegervalue_typestring | nullvaluestring | nullcustomer_selectionstring | nulltarget_typestring | nulltarget_selectionstring | nullallocation_methodstring | nullallocation_limitinteger | nullonce_per_customerboolean | nullusage_limitinteger | nullstarts_atstring | nullends_atstring | nullcreated_atstring | nullupdated_atstring | nullentitled_product_idsarray | nullentitled_variant_idsarray | nullentitled_collection_idsarray | nullentitled_country_idsarray | nullprerequisite_product_idsarray | nullprerequisite_variant_idsarray | nullprerequisite_collection_idsarray | nullcustomer_segment_prerequisite_idsarray | nullprerequisite_customer_idsarray | nullprerequisite_subtotal_rangeobject | nullprerequisite_quantity_rangeobject | nullprerequisite_shipping_price_rangeobject | nullprerequisite_to_entitlement_quantity_ratioobject | nullprerequisite_to_entitlement_purchaseobject | nulltitlestring | nulladmin_graphql_api_idstring | null
Price Rules Context Store Search
Search and filter price rules records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await shopify . price_rules . context_store_search ( query = { "filter" : { "eq" : { "id" : 0 } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "price_rules", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": 0}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idintegerUnique identifier for the price rule titlestringAdministrative title of the price rule value_typestringHow the discount value is interpreted (fixed_amount or percentage) valuestringDiscount value applied by the rule target_typestringType of target the rule applies to (line_item or shipping_line) target_selectionstringWhich target items the rule applies to (all or entitled) allocation_methodstringHow the discount is allocated (each or across) starts_atstringISO 8601 timestamp when the rule starts being active ends_atstringISO 8601 timestamp when the rule stops being active, if applicable created_atstringISO 8601 timestamp when the rule was created updated_atstringISO 8601 timestamp when the rule was last updated
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idintegerUnique identifier for the price rule data[].titlestringAdministrative title of the price rule data[].value_typestringHow the discount value is interpreted (fixed_amount or percentage) data[].valuestringDiscount value applied by the rule data[].target_typestringType of target the rule applies to (line_item or shipping_line) data[].target_selectionstringWhich target items the rule applies to (all or entitled) data[].allocation_methodstringHow the discount is allocated (each or across) data[].starts_atstringISO 8601 timestamp when the rule starts being active data[].ends_atstringISO 8601 timestamp when the rule stops being active, if applicable data[].created_atstringISO 8601 timestamp when the rule was created data[].updated_atstringISO 8601 timestamp when the rule was last updated
Discount Codes
Discount Codes List
Returns a list of discount codes for a price rule
Python SDK
await shopify . discount_codes . list ( price_rule_id = 0 )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "discount_codes", "action": "list", "params": { "price_rule_id": 0 } }'
Parameters
Parameter Name Type Required Description price_rule_idintegerYes The price rule ID limitintegerNo Maximum number of results to return (max 250)
Response Schema Records Field Name Type Description idintegerprice_rule_idinteger | nullcodestring | nullusage_countinteger | nullcreated_atstring | nullupdated_atstring | null
Field Name Type Description next_page_urlstring
Discount Codes Get
Retrieves a single discount code by ID
Python SDK
await shopify . discount_codes . get ( price_rule_id = 0 , discount_code_id = 0 )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "discount_codes", "action": "get", "params": { "price_rule_id": 0, "discount_code_id": 0 } }'
Parameters
Parameter Name Type Required Description price_rule_idintegerYes The price rule ID discount_code_idintegerYes The discount code ID
Response Schema Records Field Name Type Description idintegerprice_rule_idinteger | nullcodestring | nullusage_countinteger | nullcreated_atstring | nullupdated_atstring | null
Discount Codes Context Store Search
Search and filter discount codes records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await shopify . discount_codes . context_store_search ( query = { "filter" : { "eq" : { "id" : 0 } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "discount_codes", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": 0}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idintegerUnique identifier for the discount code price_rule_idintegerIdentifier of the parent price rule codestringDiscount code string shoppers enter at checkout usage_countintegerNumber of times the code has been redeemed created_atstringISO 8601 timestamp when the code was created updated_atstringISO 8601 timestamp when the code was last updated
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idintegerUnique identifier for the discount code data[].price_rule_idintegerIdentifier of the parent price rule data[].codestringDiscount code string shoppers enter at checkout data[].usage_countintegerNumber of times the code has been redeemed data[].created_atstringISO 8601 timestamp when the code was created data[].updated_atstringISO 8601 timestamp when the code was last updated
Custom Collections
Custom Collections List
Returns a list of custom collections
Python SDK
await shopify . custom_collections . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "custom_collections", "action": "list" }'
Parameters
Parameter Name Type Required Description limitintegerNo Maximum number of results to return (max 250) since_idintegerNo Restrict results to after the specified ID titlestringNo Filter by collection title product_idintegerNo Filter by product ID updated_at_minstringNo Show collections last updated after date (ISO 8601 format) updated_at_maxstringNo Show collections last updated before date (ISO 8601 format)
Response Schema Records Field Name Type Description idintegerhandlestring | nulltitlestring | nullupdated_atstring | nullbody_htmlstring | nullpublished_atstring | nullsort_orderstring | nulltemplate_suffixstring | nullpublished_scopestring | nulladmin_graphql_api_idstring | nullimageobject | nullproducts_countinteger | null
Field Name Type Description next_page_urlstring
Custom Collections Get
Retrieves a single custom collection by ID
Python SDK
await shopify . custom_collections . get ( collection_id = 0 )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "custom_collections", "action": "get", "params": { "collection_id": 0 } }'
Parameters
Parameter Name Type Required Description collection_idintegerYes The collection ID
Response Schema Records Field Name Type Description idintegerhandlestring | nulltitlestring | nullupdated_atstring | nullbody_htmlstring | nullpublished_atstring | nullsort_orderstring | nulltemplate_suffixstring | nullpublished_scopestring | nulladmin_graphql_api_idstring | nullimageobject | nullproducts_countinteger | null
Custom Collections Context Store Search
Search and filter custom collections records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await shopify . custom_collections . context_store_search ( query = { "filter" : { "eq" : { "id" : 0 } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "custom_collections", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": 0}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idintegerUnique identifier for the custom collection handlestringURL-friendly handle for the custom collection titlestringDisplay title of the custom collection sort_orderstringHow products are sorted within the collection (e.g. best-selling) published_scopestringPublishing scope (web or global) published_atstringISO 8601 timestamp when the collection was published updated_atstringISO 8601 timestamp when the collection was last updated
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idintegerUnique identifier for the custom collection data[].handlestringURL-friendly handle for the custom collection data[].titlestringDisplay title of the custom collection data[].sort_orderstringHow products are sorted within the collection (e.g. best-selling) data[].published_scopestringPublishing scope (web or global) data[].published_atstringISO 8601 timestamp when the collection was published data[].updated_atstringISO 8601 timestamp when the collection was last updated
Smart Collections
Smart Collections List
Returns a list of smart collections
Python SDK
await shopify . smart_collections . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "smart_collections", "action": "list" }'
Parameters
Parameter Name Type Required Description limitintegerNo Maximum number of results to return (max 250) since_idintegerNo Restrict results to after the specified ID titlestringNo Filter by collection title product_idintegerNo Filter by product ID updated_at_minstringNo Show collections last updated after date (ISO 8601 format) updated_at_maxstringNo Show collections last updated before date (ISO 8601 format)
Response Schema Records Field Name Type Description idintegerhandlestring | nulltitlestring | nullupdated_atstring | nullbody_htmlstring | nullpublished_atstring | nullsort_orderstring | nulltemplate_suffixstring | nulldisjunctiveboolean | nullrulesarray | nullpublished_scopestring | nulladmin_graphql_api_idstring | nullimageobject | nullproducts_countinteger | null
Field Name Type Description next_page_urlstring
Smart Collections Get
Retrieves a single smart collection by ID
Python SDK
await shopify . smart_collections . get ( collection_id = 0 )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "smart_collections", "action": "get", "params": { "collection_id": 0 } }'
Parameters
Parameter Name Type Required Description collection_idintegerYes The collection ID
Response Schema Records Field Name Type Description idintegerhandlestring | nulltitlestring | nullupdated_atstring | nullbody_htmlstring | nullpublished_atstring | nullsort_orderstring | nulltemplate_suffixstring | nulldisjunctiveboolean | nullrulesarray | nullpublished_scopestring | nulladmin_graphql_api_idstring | nullimageobject | nullproducts_countinteger | null
Smart Collections Context Store Search
Search and filter smart collections records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await shopify . smart_collections . context_store_search ( query = { "filter" : { "eq" : { "id" : 0 } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "smart_collections", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": 0}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idintegerUnique identifier for the smart collection handlestringURL-friendly handle for the smart collection titlestringDisplay title of the smart collection sort_orderstringHow products are sorted within the collection published_scopestringPublishing scope (web or global) published_atstringISO 8601 timestamp when the collection was published updated_atstringISO 8601 timestamp when the collection was last updated
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idintegerUnique identifier for the smart collection data[].handlestringURL-friendly handle for the smart collection data[].titlestringDisplay title of the smart collection data[].sort_orderstringHow products are sorted within the collection data[].published_scopestringPublishing scope (web or global) data[].published_atstringISO 8601 timestamp when the collection was published data[].updated_atstringISO 8601 timestamp when the collection was last updated
Collects
Collects List
Returns a list of collects (links between products and collections)
Python SDK
await shopify . collects . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "collects", "action": "list" }'
Parameters
Parameter Name Type Required Description limitintegerNo Maximum number of results to return (max 250) since_idintegerNo Restrict results to after the specified ID collection_idintegerNo Filter by collection ID product_idintegerNo Filter by product ID
Response Schema Records Field Name Type Description idintegercollection_idinteger | nullproduct_idinteger | nullcreated_atstring | nullupdated_atstring | nullpositioninteger | nullsort_valuestring | null
Field Name Type Description next_page_urlstring
Collects Get
Retrieves a single collect by ID
Python SDK
await shopify . collects . get ( collect_id = 0 )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "collects", "action": "get", "params": { "collect_id": 0 } }'
Parameters
Parameter Name Type Required Description collect_idintegerYes The collect ID
Response Schema Records Field Name Type Description idintegercollection_idinteger | nullproduct_idinteger | nullcreated_atstring | nullupdated_atstring | nullpositioninteger | nullsort_valuestring | null
Collects Context Store Search
Search and filter collects records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await shopify . collects . context_store_search ( query = { "filter" : { "eq" : { "id" : 0 } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "collects", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": 0}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idintegerUnique identifier for the collect collection_idintegerIdentifier of the collection the product belongs to product_idintegerIdentifier of the product in the collection positionintegerPosition of the product within the collection created_atstringISO 8601 timestamp when the collect was created updated_atstringISO 8601 timestamp when the collect was last updated
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idintegerUnique identifier for the collect data[].collection_idintegerIdentifier of the collection the product belongs to data[].product_idintegerIdentifier of the product in the collection data[].positionintegerPosition of the product within the collection data[].created_atstringISO 8601 timestamp when the collect was created data[].updated_atstringISO 8601 timestamp when the collect was last updated
Draft Orders
Draft Orders List
Returns a list of draft orders
Python SDK
await shopify . draft_orders . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "draft_orders", "action": "list" }'
Parameters
Parameter Name Type Required Description limitintegerNo Maximum number of results to return (max 250) since_idintegerNo Restrict results to after the specified ID status"open" | "invoice_sent" | "completed"No Filter draft orders by status updated_at_minstringNo Show draft orders last updated after date (ISO 8601 format) updated_at_maxstringNo Show draft orders last updated before date (ISO 8601 format)
Response Schema Records Field Name Type Description idintegernotestring | nullemailstring | nulltaxes_includedboolean | nullcurrencystring | nullinvoice_sent_atstring | nullcreated_atstring | nullupdated_atstring | nulltax_exemptboolean | nullcompleted_atstring | nullnamestring | nullstatusstring | nullline_itemsarray | nullline_items[].idintegerline_items[].admin_graphql_api_idstring | nullline_items[].attributed_staffsarray | nullline_items[].current_quantityinteger | nullline_items[].fulfillable_quantityinteger | nullline_items[].fulfillment_servicestring | nullline_items[].fulfillment_statusstring | nullline_items[].gift_cardboolean | nullline_items[].gramsinteger | nullline_items[].namestring | nullline_items[].pricestring | nullline_items[].price_setobject | nullline_items[].product_existsboolean | nullline_items[].product_idinteger | nullline_items[].propertiesarray | nullline_items[].quantityinteger | nullline_items[].requires_shippingboolean | nullline_items[].skustring | nullline_items[].taxableboolean | nullline_items[].titlestring | nullline_items[].total_discountstring | nullline_items[].total_discount_setobject | nullline_items[].variant_idinteger | nullline_items[].variant_inventory_managementstring | nullline_items[].variant_titlestring | nullline_items[].vendorstring | nullline_items[].tax_linesarray | nullline_items[].dutiesarray | nullline_items[].discount_allocationsarray | nullshipping_addressobject | anybilling_addressobject | anyinvoice_urlstring | nullapplied_discountobject | nullorder_idinteger | nullshipping_lineobject | nulltax_linesarray | nulltagsstring | nullnote_attributesarray | nulltotal_pricestring | nullsubtotal_pricestring | nulltotal_taxstring | nullpayment_termsobject | nulladmin_graphql_api_idstring | nullcustomerobject | anyallow_discount_codes_in_checkout?boolean | nullb2b?boolean | nullapi_client_idinteger | nullcreated_on_api_version_handlestring | null
Field Name Type Description next_page_urlstring
Draft Orders Get
Retrieves a single draft order by ID
Python SDK
await shopify . draft_orders . get ( draft_order_id = 0 )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "draft_orders", "action": "get", "params": { "draft_order_id": 0 } }'
Parameters
Parameter Name Type Required Description draft_order_idintegerYes The draft order ID
Response Schema Records Field Name Type Description idintegernotestring | nullemailstring | nulltaxes_includedboolean | nullcurrencystring | nullinvoice_sent_atstring | nullcreated_atstring | nullupdated_atstring | nulltax_exemptboolean | nullcompleted_atstring | nullnamestring | nullstatusstring | nullline_itemsarray | nullline_items[].idintegerline_items[].admin_graphql_api_idstring | nullline_items[].attributed_staffsarray | nullline_items[].current_quantityinteger | nullline_items[].fulfillable_quantityinteger | nullline_items[].fulfillment_servicestring | nullline_items[].fulfillment_statusstring | nullline_items[].gift_cardboolean | nullline_items[].gramsinteger | nullline_items[].namestring | nullline_items[].pricestring | nullline_items[].price_setobject | nullline_items[].product_existsboolean | nullline_items[].product_idinteger | nullline_items[].propertiesarray | nullline_items[].quantityinteger | nullline_items[].requires_shippingboolean | nullline_items[].skustring | nullline_items[].taxableboolean | nullline_items[].titlestring | nullline_items[].total_discountstring | nullline_items[].total_discount_setobject | nullline_items[].variant_idinteger | nullline_items[].variant_inventory_managementstring | nullline_items[].variant_titlestring | nullline_items[].vendorstring | nullline_items[].tax_linesarray | nullline_items[].dutiesarray | nullline_items[].discount_allocationsarray | nullshipping_addressobject | anybilling_addressobject | anyinvoice_urlstring | nullapplied_discountobject | nullorder_idinteger | nullshipping_lineobject | nulltax_linesarray | nulltagsstring | nullnote_attributesarray | nulltotal_pricestring | nullsubtotal_pricestring | nulltotal_taxstring | nullpayment_termsobject | nulladmin_graphql_api_idstring | nullcustomerobject | anyallow_discount_codes_in_checkout?boolean | nullb2b?boolean | nullapi_client_idinteger | nullcreated_on_api_version_handlestring | null
Draft Orders Context Store Search
Search and filter draft orders records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await shopify . draft_orders . context_store_search ( query = { "filter" : { "eq" : { "id" : 0 } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "draft_orders", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": 0}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idintegerUnique identifier for the draft order namestringShopify-assigned display name for the draft order (e.g. #D12345) emailstringEmail address associated with the draft order statusstringStatus of the draft order (open, invoice_sent, completed) currencystringISO 4217 currency code for the draft order totals total_pricestringTotal price of the draft order order_idintegerIdentifier of the completed order, if the draft has been completed created_atstringISO 8601 timestamp when the draft order was created updated_atstringISO 8601 timestamp when the draft order was last updated completed_atstringISO 8601 timestamp when the draft order was completed, if applicable
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idintegerUnique identifier for the draft order data[].namestringShopify-assigned display name for the draft order (e.g. #D12345) data[].emailstringEmail address associated with the draft order data[].statusstringStatus of the draft order (open, invoice_sent, completed) data[].currencystringISO 4217 currency code for the draft order totals data[].total_pricestringTotal price of the draft order data[].order_idintegerIdentifier of the completed order, if the draft has been completed data[].created_atstringISO 8601 timestamp when the draft order was created data[].updated_atstringISO 8601 timestamp when the draft order was last updated data[].completed_atstringISO 8601 timestamp when the draft order was completed, if applicable
Fulfillments
Fulfillments List
Returns a list of fulfillments for an order
Python SDK
await shopify . fulfillments . list ( order_id = 0 )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "fulfillments", "action": "list", "params": { "order_id": 0 } }'
Parameters
Parameter Name Type Required Description order_idintegerYes The order ID limitintegerNo Maximum number of results to return (max 250) since_idintegerNo Restrict results to after the specified ID created_at_minstringNo Show fulfillments created after date (ISO 8601 format) created_at_maxstringNo Show fulfillments created before date (ISO 8601 format) updated_at_minstringNo Show fulfillments last updated after date (ISO 8601 format) updated_at_maxstringNo Show fulfillments last updated before date (ISO 8601 format)
Response Schema Records Field Name Type Description idintegerorder_idinteger | nullstatusstring | nullcreated_atstring | nullservicestring | nullupdated_atstring | nulltracking_companystring | nullshipment_statusstring | nulllocation_idinteger | nullorigin_addressobject | nullline_itemsarray | nullline_items[].idintegerline_items[].admin_graphql_api_idstring | nullline_items[].attributed_staffsarray | nullline_items[].current_quantityinteger | nullline_items[].fulfillable_quantityinteger | nullline_items[].fulfillment_servicestring | nullline_items[].fulfillment_statusstring | nullline_items[].gift_cardboolean | nullline_items[].gramsinteger | nullline_items[].namestring | nullline_items[].pricestring | nullline_items[].price_setobject | nullline_items[].product_existsboolean | nullline_items[].product_idinteger | nullline_items[].propertiesarray | nullline_items[].quantityinteger | nullline_items[].requires_shippingboolean | nullline_items[].skustring | nullline_items[].taxableboolean | nullline_items[].titlestring | nullline_items[].total_discountstring | nullline_items[].total_discount_setobject | nullline_items[].variant_idinteger | nullline_items[].variant_inventory_managementstring | nullline_items[].variant_titlestring | nullline_items[].vendorstring | nullline_items[].tax_linesarray | nullline_items[].dutiesarray | nullline_items[].discount_allocationsarray | nulltracking_numberstring | nulltracking_numbersarray | nulltracking_urlstring | nulltracking_urlsarray | nullreceiptobject | nullnamestring | nulladmin_graphql_api_idstring | null
Field Name Type Description next_page_urlstring
Fulfillments Get
Retrieves a single fulfillment by ID
Python SDK
await shopify . fulfillments . get ( order_id = 0 , fulfillment_id = 0 )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "fulfillments", "action": "get", "params": { "order_id": 0, "fulfillment_id": 0 } }'
Parameters
Parameter Name Type Required Description order_idintegerYes The order ID fulfillment_idintegerYes The fulfillment ID
Response Schema Records Field Name Type Description idintegerorder_idinteger | nullstatusstring | nullcreated_atstring | nullservicestring | nullupdated_atstring | nulltracking_companystring | nullshipment_statusstring | nulllocation_idinteger | nullorigin_addressobject | nullline_itemsarray | nullline_items[].idintegerline_items[].admin_graphql_api_idstring | nullline_items[].attributed_staffsarray | nullline_items[].current_quantityinteger | nullline_items[].fulfillable_quantityinteger | nullline_items[].fulfillment_servicestring | nullline_items[].fulfillment_statusstring | nullline_items[].gift_cardboolean | nullline_items[].gramsinteger | nullline_items[].namestring | nullline_items[].pricestring | nullline_items[].price_setobject | nullline_items[].product_existsboolean | nullline_items[].product_idinteger | nullline_items[].propertiesarray | nullline_items[].quantityinteger | nullline_items[].requires_shippingboolean | nullline_items[].skustring | nullline_items[].taxableboolean | nullline_items[].titlestring | nullline_items[].total_discountstring | nullline_items[].total_discount_setobject | nullline_items[].variant_idinteger | nullline_items[].variant_inventory_managementstring | nullline_items[].variant_titlestring | nullline_items[].vendorstring | nullline_items[].tax_linesarray | nullline_items[].dutiesarray | nullline_items[].discount_allocationsarray | nulltracking_numberstring | nulltracking_numbersarray | nulltracking_urlstring | nulltracking_urlsarray | nullreceiptobject | nullnamestring | nulladmin_graphql_api_idstring | null
Fulfillments Context Store Search
Search and filter fulfillments records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await shopify . fulfillments . context_store_search ( query = { "filter" : { "eq" : { "id" : 0 } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "fulfillments", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": 0}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
[...]
